> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/aggregated-supply.md).

# Aggregated Supply

## What is this endpoint for?

This endpoint aggregates from the [Supply](/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/supply.md) endpoint to provide an aggregated view of supply and market capitalization.

Data can be aggregated between 5-minute and 30-day intervals; the aggregation considers each 5-minute interval from the [raw supply data](/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/supply.md) that falls between the `start_time` and `end_time` configured.

Read our supply and market cap methodology [here](https://resources.kaiko.com/hubfs/Factsheets%2c%20Rulebooks%2c%20Methodologies%20\(Resources\)/Data%20Feeds/Supply%20&%20Market%20Cap%20Methodology.pdf).

### Endpoint

{% code overflow="wrap" %}

```http
https://us.market-api.kaiko.io/v2/data/supply.v2/aggregated/{asset}
```

{% endcode %}

### Parameters

<table><thead><tr><th>Parameter</th><th width="104">Required</th><th width="318">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>asset</code></td><td>Yes</td><td>The desired asset <code>code</code><br><br>See <a data-mention href="/pages/5iH1qlIc7aNEOOci4yMw">/pages/5iH1qlIc7aNEOOci4yMw</a></td><td><code>btc</code></td></tr><tr><td><code>start_time</code></td><td>No</td><td>Starting time in ISO 8601 (inclusive)</td><td><code>2023-01-25T00:00:00.00</code></td></tr><tr><td><code>end_time</code></td><td>No</td><td>Ending time in ISO 8601 (exclusive)</td><td><code>2023-01-26T00:00:00.000Z</code></td></tr><tr><td><code>interval</code></td><td>No</td><td>The interval parameter is suffixed with <code>m</code>, <code>h</code> or <code>d</code> to specify minutes, hours, or days, respectively<br><br>Any arbitrary value between five minutes and 30 days can be used.<br><br> Default: <code>1h</code>.</td><td><code>4h</code></td></tr><tr><td><code>page_size</code></td><td>No</td><td><p>See <a data-mention href="/pages/mP3amLsYqKTsrRBoblxX">/pages/mP3amLsYqKTsrRBoblxX</a><br><br>Minimum: <code>1</code><br>Maximum: <code>100</code></p><p>Default: <code>100</code></p></td><td><code>100</code></td></tr><tr><td><code>blockchain</code></td><td>No</td><td>Normalized blockchain identifier. Common values: <code>ethereum</code>, <code>solana</code>, <code>polygon</code>, <code>arbitrum</code>, <code>canton</code>.</td><td><code>ethereum</code></td></tr></tbody></table>

### Fields

<table><thead><tr><th width="220.19140625">Field</th><th width="228">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>timestamp</code></td><td>Timestamp at which the interval begins</td><td><code>1760918400</code></td></tr><tr><td><code>asset</code></td><td>Asset</td><td><code>btc</code></td></tr><tr><td><code>circulating_supply</code></td><td>Circulating supply</td><td><code>1.99373e+07</code></td></tr><tr><td><code>market_cap</code></td><td>Market capitalisation</td><td><code>2.2094e+12</code></td></tr><tr><td><code>total_supply</code></td><td>Total supply</td><td><code>1.99373e+07</code></td></tr></tbody></table>

### Request examples

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' -H 'X-Api-Key: <client-api-key>' \
'https://us.market-api.kaiko.io/v2/data/supply.v2/aggregated/btc?start_time=2025-10-20T00:00:00.000Z&end_time=2025-10-21T00:00:00.000Z&page_size=100&interval=1d'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code overflow="wrap" %}

```python
import http.client
import json

# Enter your Kaiko API Key
api_key = "KAIKO_API_KEY"
api_host = "us.market-api.kaiko.io"
api_base_endpoint = "/v2/data/supply.v2/aggregated/btc"
# Start of mandatory parameter configuration
mandatory_params = {
    'start_time':'2025-10-20T00:00:00.000Z',
    'end_time':'2025-10-21T00:00:00.000Z',
    'page_size':100,
    'interval':'1d'
}
# End of mandatory parameter configuration
# Start of optional parameter configuration
optional_params = {
    
}
# End of optional parameter configuration
conn = http.client.HTTPSConnection(api_host)
headers = {
    "X-Api-Key": api_key,
    "Accept": "application/json"
}

all_params = {**mandatory_params, **optional_params}

url_params = []
for param, value in all_params.items():
    url_params.append(f"{param}={value}")
url_params = '&'.join(url_params)

endpoint_with_params = f"{api_base_endpoint}?{url_params}"

# Pagination for next pages
all_data = []
next_url = endpoint_with_params
while next_url:
    conn.request("GET", next_url, headers=headers)
    response = conn.getresponse()
    data = json.loads(response.read().decode("utf-8"))
    all_data.extend(data.get("data", []))
    print(f"Fetched {len(data.get('data', []))} datapoints. Total: {len(all_data)}")
    next_url = data.get("next_url", "").replace("https://us.market-api.kaiko.io", "")
    if not next_url:
        break
conn.close()
print(f" datapoints fetched: {(all_data)}")
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% code overflow="wrap" %}

```json
{
    "query":
    {
        "start_time": "2025-10-20T00:00:00.000Z",
        "end_time": "2025-10-21T00:00:00.000Z",
        "page_size": 100,
        "asset": "btc",
        "interval": "1d",
        "sort": "asc",
        "request_time": "2025-11-12T14:18:27.226Z",
        "start_timestamp": 1760918400000,
        "end_timestamp": 1761004800000
    },
    "time": "2025-11-12T14:18:27.253Z",
    "timestamp": 1762957107253,
    "data":
    [
        {
            "timestamp": 1760918400,
            "asset": "btc",
            "circulating_supply": 19937318.75,
            "market_cap": 2209402368348.39,
            "total_supply": 19937318.75
        }
        /** Results **/
    ],
    "result": "success",
    "continuation_token": "xxx",
    "next_url": "https://us.market-api.kaiko.io/v2/data/supply.v2/aggregated/btc?continuation_token=xxx",
    "access":
    {
        "access_range":
        {
            "start_timestamp": 1073001600000,
            "end_timestamp": "None"
        },
        "data_range":
        {
            "start_timestamp": "None",
            "end_timestamp": "None"
        }
    }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/aggregated-supply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
